Loading...
Searching...
No Matches
Ogre::AnimableObject Class Reference
Core » Animation

Defines an interface to classes which have one or more AnimableValue instances to expose. More...

`#include <OgreAnimable.h>`

Inheritance diagram for Ogre::AnimableObject:
[legend]

## Public Member Functions

| AnimableObject ()
virtual | ~AnimableObject ()
virtual AnimableValuePtr | createAnimableValue (const String &valueName)
| Create a reference-counted AnimableValuePtr for the named value.
virtual const StringVector & | getAnimableValueNames (void) const
| Gets a list of animable value names for this object.

## Detailed Description

Defines an interface to classes which have one or more AnimableValue instances to expose.

## Constructor & Destructor Documentation

## AnimableObject()

Ogre::AnimableObject::AnimableObject | ( |  | ) |

inline

## ~AnimableObject()

virtual Ogre::AnimableObject::~AnimableObject | ( |  | ) |

inline virtual

## Member Function Documentation

## getAnimableValueNames()

virtual const StringVector & Ogre::AnimableObject::getAnimableValueNames | ( | void |  | ) | const

inline virtual

Gets a list of animable value names for this object.

References Ogre::Exception::ERR_NOT_IMPLEMENTED, and OGRE_EXCEPT.

## createAnimableValue()

virtual AnimableValuePtr Ogre::AnimableObject::createAnimableValue | ( | const String & | valueName | ) |

inline virtual

Create a reference-counted AnimableValuePtr for the named value.

You can use the returned object to animate a value on this object, using AnimationTrack. Subclasses must override this if they wish to support animation of their values.

Reimplemented in Ogre::Light.

References Ogre::Exception::ERR_ITEM_NOT_FOUND, and OGRE_EXCEPT.

The documentation for this class was generated from the following file:

- OgreAnimable.h